Subject: bug#27210: 25.2; Recovering loaddefs.el with desktop-mode hangs when linum is on

From: Pierre Neidhardt <[email-masked]>
Date: Sat, 3 Jun 2017 17:22:44 +0100

On 17-06-03 17:56:00, Eli Zaretskii wrote:
> > Date: Sat, 3 Jun 2017 15:29:11 +0100
> > From: Pierre Neidhardt <[email-masked]>
> >
> > With the following init file:
> >
> > 	(desktop-save-mode 1)
> > 	(global-linum-mode)
> >
> > I visit "/usr/share/emacs/25.2/lisp/loaddefs.el" and everything is fine.
> > I save the desktop session with `desktop-save-in-desktop-dir' and kill
> > Emacs.
> >
> > On next start, this displays in the terminal
> >
> > 	Warning: due to a long standing Gtk+ bug
> > 	http://bugzilla.gnome.org/show_bug.cgi?id=85715
> > 	Emacs might crash when run in daemon mode and the X11 connection is unexpectedly lost.
> > 	Using an Emacs configured with --with-x-toolkit=lucid does not have this problem.
> > 	Note: file is write protected
> >
> > and Emacs hangs for minutes at least, possibly forever, becoming a CPU hog. I
> > then have to kill Emacs.
>
> Not reproducible here.  I suspect some memory-related issue, similar
> to like bug#26952, since this is Arch Linux.

bug#26952 is on Debian, or am I missing something?

Memory-wise, it keeps growing indeed, albeit at a very slow pace. Running for a
minute it barely ate 1MB more.

> Can you try building the Emacs master branch?  If my guess is correct,
> this problem will not exist there.

I just did and the issue is still there.

I am sorry I forgot to mention that the issue only happens when running `emacs --daemon`.

--
Pierre Neidhardt